org.apache.ignite.internal.processors.cache.persistence.tree.io

## Class IOVersions<V extends PageIO>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.io.IOVersions<V>

    public final class IOVersions<V extends PageIO>
    extends Object

Registry for IO versions.

### Constructor Summary

Constructors
Constructor and Description
`IOVersions(V... vers)`

### Method Summary

Methods
`V` `forPage(long pageAddr)`
`V` `forVersion(int ver)`
`int` `getType()`
`V` `latest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IOVersions

    @SafeVarargs
    public IOVersions(V... vers)

Parameters:
  `vers` - Versions.

### Method Detail

#### getType

    public int getType()

Returns:
  Type.

#### latest

    public V latest()

Returns:
  Latest IO version.

#### forVersion

    public V forVersion(int ver)

Parameters:
  `ver` - Version.
Returns:
  IO.

#### forPage

    public V forPage(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  IO.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017